---
- name: Verify
  hosts: all
  tasks:

  - name: Checks for RHEL
    block:

    - name: Get subscription list
      ansible.builtin.command: /usr/sbin/subscription-manager repos --list-enabled
      register: subscription_state
      changed_when: false

    - name: Epel in subscriptions (RHEL)
      ansible.builtin.assert:
        that: "'epel' in subscription_state.stdout"

    - name: Codeready not in subscriptions (RHEL)
      ansible.builtin.assert:
        that: "'codeready' not in subscription_state.stdout"

    when: ansible_distribution | lower == "redhat"

  - name: Checks for CentOS
    block:

    - name: Get repository list
      ansible.builtin.command:
        cmd: yum repolist
        warn: false
      register: yum_state
      changed_when: false

    - name: Epel in repo list (CentOS)
      ansible.builtin.assert:
        that: "'epel' in yum_state.stdout"

    - name: PowerTools not in repo list (CentOS)
      ansible.builtin.assert:
        that: "'powertools' not in yum_state.stdout"

    when: ansible_distribution | lower == "centos"
